<?php
namespace ModulesAbstract\PluginReports\Report\Model\Filters;

class UserAndOffice extends FilterAbstract
{
	/**
	 * (non-PHPdoc)
	 * @see \ModulesAbstract\PluginReports\Report\Model\Filters\FilterAbstract::getValue()
	 */
	public function getValue()
	{
		return [
			'type' => 		$this->value['type'],
			'entityId' =>	$this->value['entityId'],
		];
	}

	/**
	 * (non-PHPdoc)
	 * @see \ModulesAbstract\PluginReports\Report\Model\Filters\FilterAbstract::hasValue()
	 */
	public function hasValue()
	{
		if ($this->value['type'] == NULL) {
			return false;
		}

		return true;
	}
}